{% extends "dashboard_header.html" %}

{% block main %}

<h1>{{ name }} v{{ version }} - Dashboard (Image gallery)</h1>
<h2>Welcome, <strong>{{ username }}</strong>!</h2>
<h3>Here you can view and delete your images</h3>
<div class="container">
    <div class="row">
        {% for img in imgs %}
        <div class="col">
            <div class="card text-center" style="max-width: 25rem;">
                <img alt="Image" class="card-img-top" src="{{ url_for('img_raw', id=img['id']) }}">
                <div class="card-body">
                    <h3 class="card-title">{{ img['name'] + img['ext'] }}</h3>
                    <h4 class="card-title">{{ img['id'] }}</h4>
                    <a class="btn btn-primary" href="{{ url_for('get_img', id=img['id']) }}">More info</a>
                    <a class="btn btn-primary" href="{{ url_for('delete_image', id=img['id']) }}"
                       style="background-color: var(--bs-red);">Delete</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock %}